#version 150

#moj_import <fog.glsl>

uniform sampler2D Sampler0;

uniform vec4 ColorModulator;
uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;

in float vertexDistance;
in vec4 vertexColor;
in vec2 texCoord0;
in vec4 normal;

in float player_pos;

out vec4 fragColor;

void main() {
    vec4 color = texture(Sampler0, texCoord0);
	
	float moded = mod(player_pos, 16.0);
	float d = fract(moded) * 10000.0;
	d = floor(mod(d, 100.0)) / 100.0;
	
	vec3 c = color.rgb;
	
	float luma = dot(c, vec3(0.3, 0.59, 0.11));
    vec3 chroma = c - luma;
    c = (chroma * clamp(1.0 - d, 0.0, 1.0)) + luma;
	
	color.rgb = step(0.05, color.a) * color.rgb + (-step(0.05, color.a)+1.0) * c;
	color = color * vertexColor * ColorModulator;
	
    fragColor = linear_fog(color, vertexDistance, FogStart, FogEnd, FogColor);
}
