#version 150

#moj_import <fog.glsl>

uniform sampler2D Sampler0;

uniform vec4 ColorModulator;
uniform float FogStart;
uniform float FogEnd;
uniform vec4 FogColor;

uniform float GameTime;

in float vertexDistance;
in vec4 vertexColor;
in vec2 texCoord0;
in vec4 normal;
in float player_pos;

out vec4 fragColor;

const vec3 WATER = vec3(0.082353, 0.09804, 0.2);

const vec3 LIGHT_DIR = vec3(0.2, 0.2, -0.2);
const float AMBIENT = 0.75;

void main() {
    vec4 color = texture(Sampler0, texCoord0);
	
	bool swit = true;
	vec3 cc = texture(Sampler0, texCoord0).rgb;
	float c_sum = cc.r + cc.g + cc.b;
	if (c_sum == 2.4) {
		//float ang = 0.0;
		//mat3 rot_mat = mat3(cos(ang), 0.0, sin(ang),
		//				0.0, 1.0, 0.0,
		//				-sin(ang), 0.0, cos(ang));
		
		vec3 main_light = normalize(LIGHT_DIR);
		float light = clamp(dot(main_light, normal.xyz), 0.0, 1.0) + AMBIENT;
		
		color = vec4(WATER * light * 1.5, color.a + 0.15);
		swit = false;
	}
	
	float moded = mod(player_pos, 16.0);
	float d = fract(moded) * 10000.0;
	d = floor(mod(d, 100.0)) / 100.0;
	
	vec3 c = color.rgb;
	
	float luma = dot(c, vec3(0.3, 0.59, 0.11));
    vec3 chroma = c - luma;
    c = (chroma * clamp(1.0 - d, 0.0, 1.0)) + luma;
	
	color.rgb = color.a < 0.05 ? c : color.rgb; //color.rgb = step(0.05, color.a) * color.rgb + (-step(0.05, color.a)+1.0) * c;
	color.a = clamp((-step(0.05, color.a)+1.0) + color.a, 0.0, 1.0);
	color = color * vertexColor * ColorModulator;
	
    fragColor = linear_fog(color, vertexDistance, FogStart, FogEnd, FogColor);
}
