#version 150

uniform sampler2D DiffuseSampler;
uniform sampler2D BloomSampler;

in vec2 texCoord;

uniform vec2 InSize;
out vec4 fragColor;

void main(){
	vec4 main_color = texture(DiffuseSampler, texCoord);
	vec3 bloom = texture(BloomSampler, texCoord).rgb;
	
	main_color.rgb += bloom;
	
	fragColor = clamp(main_color, 0.0, 1.0);
}
