#version 150

uniform sampler2D DiffuseSampler;

in vec2 texCoord;
in vec2 oneTexel;

uniform vec2 InSize;
uniform float Amount;

out vec4 fragColor;

void main() {
	vec2 start_pos = texCoord - oneTexel * floor(Amount/2.0);
	vec4 color = vec4(0.0);
	
	for (float x = 0.0; x < Amount; x+=1.0) {
		for (float y = 0.0; y < Amount; y+=1.0) {
			vec2 pos = start_pos + vec2(oneTexel.x * x, oneTexel.y * y);
			color += texture(DiffuseSampler, clamp(pos, 0.0, 1.0));
		}
	}
	color = color / (Amount*Amount);
	
	fragColor = clamp(color, 0.0, 1.0);
}
