#version 150

uniform sampler2D DiffuseSampler;

in vec2 texCoord;
in vec2 oneTexel;

uniform vec2 InSize;

out vec4 fragColor;

void main() {
	vec4 color = 8.0 * texture(DiffuseSampler, texCoord);
	color -= texture(DiffuseSampler, texCoord-oneTexel);
	color -= texture(DiffuseSampler, texCoord+oneTexel);
	color -= texture(DiffuseSampler, texCoord-vec2(oneTexel.x, 0.0));
	color -= texture(DiffuseSampler, texCoord+vec2(oneTexel.x, 0.0));
	color -= texture(DiffuseSampler, texCoord-vec2(0.0, oneTexel.y));
	color -= texture(DiffuseSampler, texCoord+vec2(0.0, oneTexel.y));
	color -= texture(DiffuseSampler, texCoord-vec2(oneTexel.x, -oneTexel.y));
	color -= texture(DiffuseSampler, texCoord+vec2(oneTexel.x, -oneTexel.y));
	
	fragColor = clamp(color/5.0, 0.0, 1.0);
}
