#version 110

uniform sampler2D DiffuseSampler;
uniform sampler2D FinalSampler;
uniform sampler2D FadeSampler;
uniform sampler2D EdgeSampler;

varying vec2 texCoord;
varying vec2 oneTexel;

void main(){
    vec3 main_color = texture2D(DiffuseSampler, texCoord).rgb;
    vec2 fade = texture2D(FadeSampler, texCoord).rg;
	vec2 alfa_key = texture2D(FinalSampler, texCoord).rg;
	float edge = texture2D(EdgeSampler, texCoord).r;
    
	vec3 gray_scale = vec3(0.3, 0.59, 0.11);
	float luma = dot(main_color, gray_scale);
    vec3 chroma = main_color - luma;
	
	main_color = (chroma * 1.5) + (luma * 5.0); // <--- Edytuj tutaj Kassarze
	
	float alfa_sign = sign(alfa_key.r);
	
	vec2 a_color = fade + alfa_key;
	if (a_color.r != a_color.g) {
		main_color += (-step(1.0, alfa_sign) + 1.0) * vec3(1.0) + vec3(edge);
		alfa_sign += fade.r * 1.02;
	}
	
	gl_FragColor = clamp(vec4(main_color, alfa_sign), 0.0, 1.0);
}
