#version 150

uniform sampler2D DiffuseSampler;

in vec2 texCoord;
in vec2 oneTexel;

uniform vec2 InSize;
uniform float Directions;
uniform float Quality;
uniform float Size;  

out vec4 fragColor;

const float PI = 6.28318530718; 

void main() {
	vec2 radius = Size / InSize;
	
	vec4 color = texture(DiffuseSampler, texCoord);
	
	for(float d = 0.0; d < PI; d += PI / Directions)
	{
		for(float i = 1.0 / Quality; i <= 1.0; i += 1.0 / Quality)
		{
			color += texture(DiffuseSampler, texCoord+vec2(cos(d),sin(d))*radius*i);		
		}
	}
	
	color /= Quality * Directions - 15.0;
	fragColor = clamp(color, 0.0, 1.0);
}
