#version 150

uniform sampler2D DiffuseSampler;
uniform sampler2D DepthSampler;

in vec2 texCoord;

uniform vec2 InSize;
uniform float Edge;
uniform vec3 Scale;

out vec4 fragColor;

void main(){
	vec3 main_color = texture(DiffuseSampler, texCoord).rgb;
	float depth_val = texture(DepthSampler, texCoord).r;
	
	float luma = dot(main_color, Scale);
	luma = step(Edge, luma) * (-step(1.0, depth_val) + 1.0);
	
	fragColor = vec4(main_color * luma, 1.0);
}
